Well designed software

So I can’t install this NetApp software on a Windows 2008 server because it requires Windows 2003 or Windows 2008?

This entry was posted in Tech. Bookmark the permalink.

1 Response to Well designed software

  1. matt says:

    That’s going to be some wait, Windows is only up to version 7 ;)